1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18am__make_running_with_option = \
19  case $${target_option-} in \
20      ?) ;; \
21      *) echo "am__make_running_with_option: internal error: invalid" \
22              "target option '$${target_option-}' specified" >&2; \
23         exit 1;; \
24  esac; \
25  has_opt=no; \
26  sane_makeflags=$$MAKEFLAGS; \
27  if $(am__is_gnu_make); then \
28    sane_makeflags=$$MFLAGS; \
29  else \
30    case $$MAKEFLAGS in \
31      *\\[\ \	]*) \
32        bs=\\; \
33        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
35    esac; \
36  fi; \
37  skip_next=no; \
38  strip_trailopt () \
39  { \
40    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41  }; \
42  for flg in $$sane_makeflags; do \
43    test $$skip_next = yes && { skip_next=no; continue; }; \
44    case $$flg in \
45      *=*|--*) continue;; \
46        -*I) strip_trailopt 'I'; skip_next=yes;; \
47      -*I?*) strip_trailopt 'I';; \
48        -*O) strip_trailopt 'O'; skip_next=yes;; \
49      -*O?*) strip_trailopt 'O';; \
50        -*l) strip_trailopt 'l'; skip_next=yes;; \
51      -*l?*) strip_trailopt 'l';; \
52      -[dEDm]) skip_next=yes;; \
53      -[JT]) skip_next=yes;; \
54    esac; \
55    case $$flg in \
56      *$$target_option*) has_opt=yes; break;; \
57    esac; \
58  done; \
59  test $$has_opt = yes
60am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62pkgdatadir = $(datadir)/@PACKAGE@
63pkgincludedir = $(includedir)/@PACKAGE@
64pkglibdir = $(libdir)/@PACKAGE@
65pkglibexecdir = $(libexecdir)/@PACKAGE@
66am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67install_sh_DATA = $(install_sh) -c -m 644
68install_sh_PROGRAM = $(install_sh) -c
69install_sh_SCRIPT = $(install_sh) -c
70INSTALL_HEADER = $(INSTALL_DATA)
71transform = $(program_transform_name)
72NORMAL_INSTALL = :
73PRE_INSTALL = :
74POST_INSTALL = :
75NORMAL_UNINSTALL = :
76PRE_UNINSTALL = :
77POST_UNINSTALL = :
78subdir = .
79DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
80	$(srcdir)/Makefile.in $(srcdir)/Makefile.am \
81	$(top_srcdir)/configure $(am__configure_deps) COPYING compile \
82	depcomp install-sh missing
83ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
84am__aclocal_m4_deps = $(top_srcdir)/configure.ac
85am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
86	$(ACLOCAL_M4)
87am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
88 configure.lineno config.status.lineno
89mkinstalldirs = $(install_sh) -d
90CONFIG_HEADER = $(top_builddir)/src/config.h
91CONFIG_CLEAN_FILES =
92CONFIG_CLEAN_VPATH_FILES =
93AM_V_P = $(am__v_P_@AM_V@)
94am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
95am__v_P_0 = false
96am__v_P_1 = :
97AM_V_GEN = $(am__v_GEN_@AM_V@)
98am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
99am__v_GEN_0 = @echo "  GEN     " $@;
100am__v_GEN_1 =
101AM_V_at = $(am__v_at_@AM_V@)
102am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
103am__v_at_0 = @
104am__v_at_1 =
105SOURCES =
106DIST_SOURCES =
107RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
108	ctags-recursive dvi-recursive html-recursive info-recursive \
109	install-data-recursive install-dvi-recursive \
110	install-exec-recursive install-html-recursive \
111	install-info-recursive install-pdf-recursive \
112	install-ps-recursive install-recursive installcheck-recursive \
113	installdirs-recursive pdf-recursive ps-recursive \
114	tags-recursive uninstall-recursive
115am__can_run_installinfo = \
116  case $$AM_UPDATE_INFO_DIR in \
117    n|no|NO) false;; \
118    *) (install-info --version) >/dev/null 2>&1;; \
119  esac
120RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
121  distclean-recursive maintainer-clean-recursive
122am__recursive_targets = \
123  $(RECURSIVE_TARGETS) \
124  $(RECURSIVE_CLEAN_TARGETS) \
125  $(am__extra_recursive_targets)
126AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
127	cscope distdir dist dist-all distcheck
128am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
129# Read a list of newline-separated strings from the standard input,
130# and print each of them once, without duplicates.  Input order is
131# *not* preserved.
132am__uniquify_input = $(AWK) '\
133  BEGIN { nonempty = 0; } \
134  { items[$$0] = 1; nonempty = 1; } \
135  END { if (nonempty) { for (i in items) print i; }; } \
136'
137# Make sure the list of sources is unique.  This is necessary because,
138# e.g., the same source file might be shared among _SOURCES variables
139# for different programs/libraries.
140am__define_uniq_tagged_files = \
141  list='$(am__tagged_files)'; \
142  unique=`for i in $$list; do \
143    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
144  done | $(am__uniquify_input)`
145ETAGS = etags
146CTAGS = ctags
147CSCOPE = cscope
148DIST_SUBDIRS = $(SUBDIRS)
149DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
150distdir = $(PACKAGE)-$(VERSION)
151top_distdir = $(distdir)
152am__remove_distdir = \
153  if test -d "$(distdir)"; then \
154    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
155      && rm -rf "$(distdir)" \
156      || { sleep 5 && rm -rf "$(distdir)"; }; \
157  else :; fi
158am__post_remove_distdir = $(am__remove_distdir)
159am__relativize = \
160  dir0=`pwd`; \
161  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
162  sed_rest='s,^[^/]*/*,,'; \
163  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
164  sed_butlast='s,/*[^/]*$$,,'; \
165  while test -n "$$dir1"; do \
166    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
167    if test "$$first" != "."; then \
168      if test "$$first" = ".."; then \
169        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
170        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
171      else \
172        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
173        if test "$$first2" = "$$first"; then \
174          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
175        else \
176          dir2="../$$dir2"; \
177        fi; \
178        dir0="$$dir0"/"$$first"; \
179      fi; \
180    fi; \
181    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
182  done; \
183  reldir="$$dir2"
184DIST_ARCHIVES = $(distdir).tar.gz
185GZIP_ENV = --best
186DIST_TARGETS = dist-gzip
187distuninstallcheck_listfiles = find . -type f -print
188am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
189  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
190distcleancheck_listfiles = find . -type f -print
191ACLOCAL = @ACLOCAL@
192AMTAR = @AMTAR@
193AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
194AUTOCONF = @AUTOCONF@
195AUTOHEADER = @AUTOHEADER@
196AUTOMAKE = @AUTOMAKE@
197AWK = @AWK@
198CC = @CC@
199CCDEPMODE = @CCDEPMODE@
200CFLAGS = @CFLAGS@
201CPP = @CPP@
202CPPFLAGS = @CPPFLAGS@
203CYGPATH_W = @CYGPATH_W@
204DEFS = @DEFS@
205DEPDIR = @DEPDIR@
206ECHO_C = @ECHO_C@
207ECHO_N = @ECHO_N@
208ECHO_T = @ECHO_T@
209EGREP = @EGREP@
210EXEEXT = @EXEEXT@
211GREP = @GREP@
212INSTALL = @INSTALL@
213INSTALL_DATA = @INSTALL_DATA@
214INSTALL_PROGRAM = @INSTALL_PROGRAM@
215INSTALL_SCRIPT = @INSTALL_SCRIPT@
216INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
217LDFLAGS = @LDFLAGS@
218LIBOBJS = @LIBOBJS@
219LIBS = @LIBS@
220LTLIBOBJS = @LTLIBOBJS@
221MAKEINFO = @MAKEINFO@
222MKDIR_P = @MKDIR_P@
223OBJEXT = @OBJEXT@
224PACKAGE = @PACKAGE@
225PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
226PACKAGE_NAME = @PACKAGE_NAME@
227PACKAGE_STRING = @PACKAGE_STRING@
228PACKAGE_TARNAME = @PACKAGE_TARNAME@
229PACKAGE_URL = @PACKAGE_URL@
230PACKAGE_VERSION = @PACKAGE_VERSION@
231PATH_SEPARATOR = @PATH_SEPARATOR@
232POW_LIB = @POW_LIB@
233SET_MAKE = @SET_MAKE@
234SHELL = @SHELL@
235STRIP = @STRIP@
236VERSION = @VERSION@
237abs_builddir = @abs_builddir@
238abs_srcdir = @abs_srcdir@
239abs_top_builddir = @abs_top_builddir@
240abs_top_srcdir = @abs_top_srcdir@
241ac_ct_CC = @ac_ct_CC@
242am__include = @am__include@
243am__leading_dot = @am__leading_dot@
244am__quote = @am__quote@
245am__tar = @am__tar@
246am__untar = @am__untar@
247bindir = @bindir@
248build_alias = @build_alias@
249builddir = @builddir@
250datadir = @datadir@
251datarootdir = @datarootdir@
252docdir = @docdir@
253dvidir = @dvidir@
254exec_prefix = @exec_prefix@
255host_alias = @host_alias@
256htmldir = @htmldir@
257includedir = @includedir@
258infodir = @infodir@
259install_sh = @install_sh@
260libdir = @libdir@
261libexecdir = @libexecdir@
262localedir = @localedir@
263localstatedir = @localstatedir@
264mandir = @mandir@
265mkdir_p = @mkdir_p@
266oldincludedir = @oldincludedir@
267pdfdir = @pdfdir@
268prefix = @prefix@
269program_transform_name = @program_transform_name@
270psdir = @psdir@
271sbindir = @sbindir@
272sharedstatedir = @sharedstatedir@
273srcdir = @srcdir@
274sysconfdir = @sysconfdir@
275target_alias = @target_alias@
276top_build_prefix = @top_build_prefix@
277top_builddir = @top_builddir@
278top_srcdir = @top_srcdir@
279SUBDIRS = src man
280all: all-recursive
281
282.SUFFIXES:
283am--refresh: Makefile
284	@:
285$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
286	@for dep in $?; do \
287	  case '$(am__configure_deps)' in \
288	    *$$dep*) \
289	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
290	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
291		&& exit 0; \
292	      exit 1;; \
293	  esac; \
294	done; \
295	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
296	$(am__cd) $(top_srcdir) && \
297	  $(AUTOMAKE) --gnu Makefile
298.PRECIOUS: Makefile
299Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
300	@case '$?' in \
301	  *config.status*) \
302	    echo ' $(SHELL) ./config.status'; \
303	    $(SHELL) ./config.status;; \
304	  *) \
305	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
306	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
307	esac;
308
309$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
310	$(SHELL) ./config.status --recheck
311
312$(top_srcdir)/configure:  $(am__configure_deps)
313	$(am__cd) $(srcdir) && $(AUTOCONF)
314$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
315	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
316$(am__aclocal_m4_deps):
317
318# This directory's subdirectories are mostly independent; you can cd
319# into them and run 'make' without going through this Makefile.
320# To change the values of 'make' variables: instead of editing Makefiles,
321# (1) if the variable is set in 'config.status', edit 'config.status'
322#     (which will cause the Makefiles to be regenerated when you run 'make');
323# (2) otherwise, pass the desired values on the 'make' command line.
324$(am__recursive_targets):
325	@fail=; \
326	if $(am__make_keepgoing); then \
327	  failcom='fail=yes'; \
328	else \
329	  failcom='exit 1'; \
330	fi; \
331	dot_seen=no; \
332	target=`echo $@ | sed s/-recursive//`; \
333	case "$@" in \
334	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
335	  *) list='$(SUBDIRS)' ;; \
336	esac; \
337	for subdir in $$list; do \
338	  echo "Making $$target in $$subdir"; \
339	  if test "$$subdir" = "."; then \
340	    dot_seen=yes; \
341	    local_target="$$target-am"; \
342	  else \
343	    local_target="$$target"; \
344	  fi; \
345	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
346	  || eval $$failcom; \
347	done; \
348	if test "$$dot_seen" = "no"; then \
349	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
350	fi; test -z "$$fail"
351
352ID: $(am__tagged_files)
353	$(am__define_uniq_tagged_files); mkid -fID $$unique
354tags: tags-recursive
355TAGS: tags
356
357tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
358	set x; \
359	here=`pwd`; \
360	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
361	  include_option=--etags-include; \
362	  empty_fix=.; \
363	else \
364	  include_option=--include; \
365	  empty_fix=; \
366	fi; \
367	list='$(SUBDIRS)'; for subdir in $$list; do \
368	  if test "$$subdir" = .; then :; else \
369	    test ! -f $$subdir/TAGS || \
370	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
371	  fi; \
372	done; \
373	$(am__define_uniq_tagged_files); \
374	shift; \
375	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
376	  test -n "$$unique" || unique=$$empty_fix; \
377	  if test $$# -gt 0; then \
378	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
379	      "$$@" $$unique; \
380	  else \
381	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
382	      $$unique; \
383	  fi; \
384	fi
385ctags: ctags-recursive
386
387CTAGS: ctags
388ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
389	$(am__define_uniq_tagged_files); \
390	test -z "$(CTAGS_ARGS)$$unique" \
391	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
392	     $$unique
393
394GTAGS:
395	here=`$(am__cd) $(top_builddir) && pwd` \
396	  && $(am__cd) $(top_srcdir) \
397	  && gtags -i $(GTAGS_ARGS) "$$here"
398cscope: cscope.files
399	test ! -s cscope.files \
400	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
401clean-cscope:
402	-rm -f cscope.files
403cscope.files: clean-cscope cscopelist
404cscopelist: cscopelist-recursive
405
406cscopelist-am: $(am__tagged_files)
407	list='$(am__tagged_files)'; \
408	case "$(srcdir)" in \
409	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
410	  *) sdir=$(subdir)/$(srcdir) ;; \
411	esac; \
412	for i in $$list; do \
413	  if test -f "$$i"; then \
414	    echo "$(subdir)/$$i"; \
415	  else \
416	    echo "$$sdir/$$i"; \
417	  fi; \
418	done >> $(top_builddir)/cscope.files
419
420distclean-tags:
421	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
422	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
423
424distdir: $(DISTFILES)
425	$(am__remove_distdir)
426	test -d "$(distdir)" || mkdir "$(distdir)"
427	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
428	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
429	list='$(DISTFILES)'; \
430	  dist_files=`for file in $$list; do echo $$file; done | \
431	  sed -e "s|^$$srcdirstrip/||;t" \
432	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
433	case $$dist_files in \
434	  */*) $(MKDIR_P) `echo "$$dist_files" | \
435			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
436			   sort -u` ;; \
437	esac; \
438	for file in $$dist_files; do \
439	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
440	  if test -d $$d/$$file; then \
441	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
442	    if test -d "$(distdir)/$$file"; then \
443	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
444	    fi; \
445	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
446	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
447	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
448	    fi; \
449	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
450	  else \
451	    test -f "$(distdir)/$$file" \
452	    || cp -p $$d/$$file "$(distdir)/$$file" \
453	    || exit 1; \
454	  fi; \
455	done
456	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
457	  if test "$$subdir" = .; then :; else \
458	    $(am__make_dryrun) \
459	      || test -d "$(distdir)/$$subdir" \
460	      || $(MKDIR_P) "$(distdir)/$$subdir" \
461	      || exit 1; \
462	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
463	    $(am__relativize); \
464	    new_distdir=$$reldir; \
465	    dir1=$$subdir; dir2="$(top_distdir)"; \
466	    $(am__relativize); \
467	    new_top_distdir=$$reldir; \
468	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
469	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
470	    ($(am__cd) $$subdir && \
471	      $(MAKE) $(AM_MAKEFLAGS) \
472	        top_distdir="$$new_top_distdir" \
473	        distdir="$$new_distdir" \
474		am__remove_distdir=: \
475		am__skip_length_check=: \
476		am__skip_mode_fix=: \
477	        distdir) \
478	      || exit 1; \
479	  fi; \
480	done
481	-test -n "$(am__skip_mode_fix)" \
482	|| find "$(distdir)" -type d ! -perm -755 \
483		-exec chmod u+rwx,go+rx {} \; -o \
484	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
485	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
486	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
487	|| chmod -R a+r "$(distdir)"
488dist-gzip: distdir
489	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
490	$(am__post_remove_distdir)
491
492dist-bzip2: distdir
493	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
494	$(am__post_remove_distdir)
495
496dist-lzip: distdir
497	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
498	$(am__post_remove_distdir)
499
500dist-xz: distdir
501	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
502	$(am__post_remove_distdir)
503
504dist-tarZ: distdir
505	@echo WARNING: "Support for shar distribution archives is" \
506	               "deprecated." >&2
507	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
508	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
509	$(am__post_remove_distdir)
510
511dist-shar: distdir
512	@echo WARNING: "Support for distribution archives compressed with" \
513		       "legacy program 'compress' is deprecated." >&2
514	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
515	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
516	$(am__post_remove_distdir)
517
518dist-zip: distdir
519	-rm -f $(distdir).zip
520	zip -rq $(distdir).zip $(distdir)
521	$(am__post_remove_distdir)
522
523dist dist-all:
524	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
525	$(am__post_remove_distdir)
526
527# This target untars the dist file and tries a VPATH configuration.  Then
528# it guarantees that the distribution is self-contained by making another
529# tarfile.
530distcheck: dist
531	case '$(DIST_ARCHIVES)' in \
532	*.tar.gz*) \
533	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
534	*.tar.bz2*) \
535	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
536	*.tar.lz*) \
537	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
538	*.tar.xz*) \
539	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
540	*.tar.Z*) \
541	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
542	*.shar.gz*) \
543	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
544	*.zip*) \
545	  unzip $(distdir).zip ;;\
546	esac
547	chmod -R a-w $(distdir)
548	chmod u+w $(distdir)
549	mkdir $(distdir)/_build $(distdir)/_inst
550	chmod a-w $(distdir)
551	test -d $(distdir)/_build || exit 0; \
552	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
553	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
554	  && am__cwd=`pwd` \
555	  && $(am__cd) $(distdir)/_build \
556	  && ../configure \
557	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
558	    $(DISTCHECK_CONFIGURE_FLAGS) \
559	    --srcdir=.. --prefix="$$dc_install_base" \
560	  && $(MAKE) $(AM_MAKEFLAGS) \
561	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
562	  && $(MAKE) $(AM_MAKEFLAGS) check \
563	  && $(MAKE) $(AM_MAKEFLAGS) install \
564	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
565	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
566	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
567	        distuninstallcheck \
568	  && chmod -R a-w "$$dc_install_base" \
569	  && ({ \
570	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
571	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
572	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
573	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
574	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
575	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
576	  && rm -rf "$$dc_destdir" \
577	  && $(MAKE) $(AM_MAKEFLAGS) dist \
578	  && rm -rf $(DIST_ARCHIVES) \
579	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
580	  && cd "$$am__cwd" \
581	  || exit 1
582	$(am__post_remove_distdir)
583	@(echo "$(distdir) archives ready for distribution: "; \
584	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
585	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
586distuninstallcheck:
587	@test -n '$(distuninstallcheck_dir)' || { \
588	  echo 'ERROR: trying to run $@ with an empty' \
589	       '$$(distuninstallcheck_dir)' >&2; \
590	  exit 1; \
591	}; \
592	$(am__cd) '$(distuninstallcheck_dir)' || { \
593	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
594	  exit 1; \
595	}; \
596	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
597	   || { echo "ERROR: files left after uninstall:" ; \
598	        if test -n "$(DESTDIR)"; then \
599	          echo "  (check DESTDIR support)"; \
600	        fi ; \
601	        $(distuninstallcheck_listfiles) ; \
602	        exit 1; } >&2
603distcleancheck: distclean
604	@if test '$(srcdir)' = . ; then \
605	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
606	  exit 1 ; \
607	fi
608	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
609	  || { echo "ERROR: files left in build directory after distclean:" ; \
610	       $(distcleancheck_listfiles) ; \
611	       exit 1; } >&2
612check-am: all-am
613check: check-recursive
614all-am: Makefile
615installdirs: installdirs-recursive
616installdirs-am:
617install: install-recursive
618install-exec: install-exec-recursive
619install-data: install-data-recursive
620uninstall: uninstall-recursive
621
622install-am: all-am
623	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
624
625installcheck: installcheck-recursive
626install-strip:
627	if test -z '$(STRIP)'; then \
628	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
629	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
630	      install; \
631	else \
632	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
633	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
634	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
635	fi
636mostlyclean-generic:
637
638clean-generic:
639
640distclean-generic:
641	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
642	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
643
644maintainer-clean-generic:
645	@echo "This command is intended for maintainers to use"
646	@echo "it deletes files that may require special tools to rebuild."
647clean: clean-recursive
648
649clean-am: clean-generic mostlyclean-am
650
651distclean: distclean-recursive
652	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
653	-rm -f Makefile
654distclean-am: clean-am distclean-generic distclean-tags
655
656dvi: dvi-recursive
657
658dvi-am:
659
660html: html-recursive
661
662html-am:
663
664info: info-recursive
665
666info-am:
667
668install-data-am:
669
670install-dvi: install-dvi-recursive
671
672install-dvi-am:
673
674install-exec-am:
675
676install-html: install-html-recursive
677
678install-html-am:
679
680install-info: install-info-recursive
681
682install-info-am:
683
684install-man:
685
686install-pdf: install-pdf-recursive
687
688install-pdf-am:
689
690install-ps: install-ps-recursive
691
692install-ps-am:
693
694installcheck-am:
695
696maintainer-clean: maintainer-clean-recursive
697	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
698	-rm -rf $(top_srcdir)/autom4te.cache
699	-rm -f Makefile
700maintainer-clean-am: distclean-am maintainer-clean-generic
701
702mostlyclean: mostlyclean-recursive
703
704mostlyclean-am: mostlyclean-generic
705
706pdf: pdf-recursive
707
708pdf-am:
709
710ps: ps-recursive
711
712ps-am:
713
714uninstall-am:
715
716.MAKE: $(am__recursive_targets) install-am install-strip
717
718.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
719	am--refresh check check-am clean clean-cscope clean-generic \
720	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
721	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
722	distcheck distclean distclean-generic distclean-tags \
723	distcleancheck distdir distuninstallcheck dvi dvi-am html \
724	html-am info info-am install install-am install-data \
725	install-data-am install-dvi install-dvi-am install-exec \
726	install-exec-am install-html install-html-am install-info \
727	install-info-am install-man install-pdf install-pdf-am \
728	install-ps install-ps-am install-strip installcheck \
729	installcheck-am installdirs installdirs-am maintainer-clean \
730	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
731	pdf-am ps ps-am tags tags-am uninstall uninstall-am
732
733
734# Tell versions [3.59,3.63) of GNU make to not export all variables.
735# Otherwise a system limit (for SysV at least) may be exceeded.
736.NOEXPORT:
737